lineiter_t Struct Reference

Line iterator for files. More...

`#include <pio.h>`

## Data Fields

char * | buf
FILE * | fh
int32 | bsiz
int32 | len
int32 | clean
int32 | lineno

## Detailed Description

Line iterator for files.

Definition at line 177 of file pio.h.

## Field Documentation

## bsiz

int32 lineiter_t::bsiz

Definition at line 180 of file pio.h.

## buf

char* lineiter_t::buf

Definition at line 178 of file pio.h.

## clean

int32 lineiter_t::clean

Definition at line 182 of file pio.h.

## fh

FILE* lineiter_t::fh

Definition at line 179 of file pio.h.

## len

int32 lineiter_t::len

Definition at line 181 of file pio.h.

## lineno

int32 lineiter_t::lineno

Definition at line 183 of file pio.h.

The documentation for this struct was generated from the following file:

- include/sphinxbase/pio.h